brokerize
The brokerize multi brokerage API. For high-level documentation, visit https://developer.brokerize.com/docs/api
Authentication
- API Key: clientId
- API Key: cookieAuth
- HTTP: Bearer Auth
The brokerize clientId provided to API customers. The clientId defines which origins are allowed for CORS and which URLs may be used for OAuth redirects.
Security Scheme Type: | apiKey |
|---|---|
Header parameter name: | x-brkrz-client-id |
Requests are authenticated by providing an HTTP-Only cookie _id which is a JWT token stored in the browser by calling the /login endpoint. This allows clients to not have to care about authentication at all - it is provided by 3rd party cookies which are not visible to the frontend at all. However, this comes with limitations (e.g. some browsers do not send those cookies if they are under a 3rd party domain).
Security Scheme Type: | apiKey |
|---|---|
Cookie parameter name: | _id |
Requests are authenticated by providing either a header Authorization: Bearer <TOKEN> or a header x-access-token: <TOKEN> where <TOKEN> is a token retrieved either from the CreateGuestUser endpoint or retrieved for a user from the amazon cognito pool, or a Personal Access Token created in the brokerize admin interface.
Security Scheme Type: | http |
|---|---|
HTTP Authorization Scheme: | bearer |